<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.4" maxVersion="1.4" type="org.netbeans.modules.form.forminfo.JPanelFormInfo">
  <Properties>
    <Property name="name" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
      <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_Wrapping" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
    </Property>
    <Property name="opaque" type="boolean" value="false"/>
  </Properties>
  <AccessibilityProperties>
    <Property name="AccessibleContext.accessibleName" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
      <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.AccessibleContext.accessibleName" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
    </Property>
    <Property name="AccessibleContext.accessibleDescription" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
      <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.AccessibleContext.accessibleDescription" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
    </Property>
  </AccessibilityProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
    <AuxValue name="designerSize" type="java.awt.Dimension" value="-84,-19,0,5,115,114,0,18,106,97,118,97,46,97,119,116,46,68,105,109,101,110,115,105,111,110,65,-114,-39,-41,-84,95,68,20,2,0,2,73,0,6,104,101,105,103,104,116,73,0,5,119,105,100,116,104,120,112,0,0,1,-4,0,0,1,94"/>
  </AuxValues>

  <Layout class="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout"/>
  <SubComponents>
    <Container class="javax.swing.JScrollPane" name="scrollPane">
      <Properties>
        <Property name="background" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
          <Color blue="ff" green="ff" id="Control Lt Highlight" palette="2" red="ff" type="palette"/>
        </Property>
        <Property name="minimumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
          <Dimension value="[300, 200]"/>
        </Property>
      </Properties>
      <AccessibilityProperties>
        <Property name="AccessibleContext.accessibleName" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.scrollPane.AccessibleContext.accessibleName" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
        <Property name="AccessibleContext.accessibleDescription" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.scrollPane.AccessibleContext.accessibleDescription" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </AccessibilityProperties>
      <Constraints>
        <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout" value="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout$BorderConstraintsDescription">
          <BorderConstraints direction="Center"/>
        </Constraint>
      </Constraints>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Container class="javax.swing.JPanel" name="panel1">
          <Properties>
            <Property name="focusCycleRoot" type="boolean" value="true"/>
            <Property name="focusTraversalPolicy" type="java.awt.FocusTraversalPolicy" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
              <Connection code="new java.awt.FocusTraversalPolicy() {&#xa;            public java.awt.Component getDefaultComponent(java.awt.Container focusCycleRoot){&#xa;                return arrayInitCombo;&#xa;            }//end getDefaultComponent&#xa;&#xa;            public java.awt.Component getFirstComponent(java.awt.Container focusCycleRoot){&#xa;                return arrayInitCombo;&#xa;            }//end getFirstComponent&#xa;&#xa;            public java.awt.Component getLastComponent(java.awt.Container focusCycleRoot){&#xa;                return propertiesCombo;&#xa;            }//end getLastComponent&#xa;&#xa;            public java.awt.Component getComponentAfter(java.awt.Container focusCycleRoot, java.awt.Component aComponent){&#xa;                if(aComponent ==  arrayInitCombo){&#xa;                    return arrayInitItemsCombo;&#xa;                }&#xa;                if(aComponent ==  arrayInitItemsCombo){&#xa;                    return objectsCombo;&#xa;                }&#xa;                if(aComponent ==  objectsCombo){&#xa;                    return propertiesCombo;&#xa;                }&#xa;                return arrayInitCombo;//end getComponentAfter&#xa;            }&#xa;            public java.awt.Component getComponentBefore(java.awt.Container focusCycleRoot, java.awt.Component aComponent){&#xa;                if(aComponent ==  arrayInitItemsCombo){&#xa;                    return arrayInitCombo;&#xa;                }&#xa;                if(aComponent ==  objectsCombo){&#xa;                    return arrayInitItemsCombo;&#xa;                }&#xa;                if(aComponent ==  propertiesCombo){&#xa;                    return objectsCombo;&#xa;                }&#xa;                return propertiesCombo;//end getComponentBefore&#xa;&#xa;            }}" type="code"/>
            </Property>
            <Property name="opaque" type="boolean" value="false"/>
          </Properties>
          <AccessibilityProperties>
            <Property name="AccessibleContext.accessibleName" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
              <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.panel1.AccessibleContext.accessibleName" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
            </Property>
            <Property name="AccessibleContext.accessibleDescription" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
              <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.panel1.AccessibleContext.accessibleDescription" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
            </Property>
          </AccessibilityProperties>

          <Layout>
            <DimensionLayout dim="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="arrayInitLabel" min="-2" max="-2" attributes="0"/>
                              <EmptySpace pref="138" max="32767" attributes="0"/>
                              <Component id="arrayInitCombo" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="arrayInitItemsLabel" min="-2" max="-2" attributes="0"/>
                              <EmptySpace max="32767" attributes="0"/>
                              <Component id="arrayInitItemsCombo" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="objectsLabel" min="-2" max="-2" attributes="0"/>
                              <EmptySpace max="32767" attributes="0"/>
                              <Component id="objectsCombo" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="propertiesLabel" min="-2" max="-2" attributes="0"/>
                              <EmptySpace max="32767" attributes="0"/>
                              <Component id="propertiesCombo" min="-2" max="-2" attributes="0"/>
                          </Group>
                      </Group>
                      <EmptySpace max="-2" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
            <DimensionLayout dim="1">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="arrayInitLabel" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="arrayInitCombo" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace type="unrelated" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="arrayInitItemsLabel" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="arrayInitItemsCombo" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace type="unrelated" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="objectsLabel" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="objectsCombo" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace type="unrelated" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="propertiesLabel" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="propertiesCombo" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace pref="361" max="32767" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
          </Layout>
          <SubComponents>
            <Component class="javax.swing.JLabel" name="arrayInitLabel">
              <Properties>
                <Property name="labelFor" type="java.awt.Component" editor="org.netbeans.modules.form.ComponentChooserEditor">
                  <ComponentRef name="arrayInitCombo"/>
                </Property>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="LBL_wrp_arrayInit" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <AccessibilityProperties>
                <Property name="AccessibleContext.accessibleName" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.arrayInitLabel.AccessibleContext.accessibleName" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
                <Property name="AccessibleContext.accessibleDescription" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.arrayInitLabel.AccessibleContext.accessibleDescription" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
              </AccessibilityProperties>
            </Component>
            <Component class="javax.swing.JComboBox" name="arrayInitCombo">
              <Properties>
                <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
                  <StringArray count="4">
                    <StringItem index="0" value="Item 1"/>
                    <StringItem index="1" value="Item 2"/>
                    <StringItem index="2" value="Item 3"/>
                    <StringItem index="3" value="Item 4"/>
                  </StringArray>
                </Property>
              </Properties>
              <AccessibilityProperties>
                <Property name="AccessibleContext.accessibleName" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.arrayInitCombo.AccessibleContext.accessibleName" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
                <Property name="AccessibleContext.accessibleDescription" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.arrayInitCombo.AccessibleContext.accessibleDescription" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
              </AccessibilityProperties>
            </Component>
            <Component class="javax.swing.JLabel" name="objectsLabel">
              <Properties>
                <Property name="labelFor" type="java.awt.Component" editor="org.netbeans.modules.form.ComponentChooserEditor">
                  <ComponentRef name="objectsCombo"/>
                </Property>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="LBL_wrp_objects" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <AccessibilityProperties>
                <Property name="AccessibleContext.accessibleName" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.objectsLabel.AccessibleContext.accessibleName" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
                <Property name="AccessibleContext.accessibleDescription" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.objectsLabel.AccessibleContext.accessibleDescription" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
              </AccessibilityProperties>
            </Component>
            <Component class="javax.swing.JComboBox" name="objectsCombo">
              <Properties>
                <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
                  <StringArray count="4">
                    <StringItem index="0" value="Item 1"/>
                    <StringItem index="1" value="Item 2"/>
                    <StringItem index="2" value="Item 3"/>
                    <StringItem index="3" value="Item 4"/>
                  </StringArray>
                </Property>
              </Properties>
              <AccessibilityProperties>
                <Property name="AccessibleContext.accessibleName" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.objectsCombo.AccessibleContext.accessibleName" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
                <Property name="AccessibleContext.accessibleDescription" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.objectsCombo.AccessibleContext.accessibleDescription" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
              </AccessibilityProperties>
            </Component>
            <Component class="javax.swing.JLabel" name="propertiesLabel">
              <Properties>
                <Property name="labelFor" type="java.awt.Component" editor="org.netbeans.modules.form.ComponentChooserEditor">
                  <ComponentRef name="propertiesCombo"/>
                </Property>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.propertiesLabel.text" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <AccessibilityProperties>
                <Property name="AccessibleContext.accessibleName" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/Bundle.properties" key="FmtWrapping.propertiesLabel.AccessibleContext.accessibleName" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
                <Property name="AccessibleContext.accessibleDescription" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/Bundle.properties" key="FmtWrapping.propertiesLabel.AccessibleContext.accessibleDescription" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
              </AccessibilityProperties>
            </Component>
            <Component class="javax.swing.JComboBox" name="propertiesCombo">
              <Properties>
                <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
                  <StringArray count="4">
                    <StringItem index="0" value="Item 1"/>
                    <StringItem index="1" value="Item 2"/>
                    <StringItem index="2" value="Item 3"/>
                    <StringItem index="3" value="Item 4"/>
                  </StringArray>
                </Property>
              </Properties>
              <AccessibilityProperties>
                <Property name="AccessibleContext.accessibleName" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/Bundle.properties" key="FmtWrapping.propertiesCombo.AccessibleContext.accessibleName" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
                <Property name="AccessibleContext.accessibleDescription" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/Bundle.properties" key="FmtWrapping.propertiesCombo.AccessibleContext.accessibleDescription" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
              </AccessibilityProperties>
            </Component>
            <Component class="javax.swing.JLabel" name="arrayInitItemsLabel">
              <Properties>
                <Property name="labelFor" type="java.awt.Component" editor="org.netbeans.modules.form.ComponentChooserEditor">
                  <ComponentRef name="arrayInitItemsCombo"/>
                </Property>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/json/Bundle.properties" key="FmtWrapping.arrayInitItemsLabel.text" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <AccessibilityProperties>
                <Property name="AccessibleContext.accessibleName" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/Bundle.properties" key="FmtWrapping.arrayInitLabel.AccessibleContext.accessibleName" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
                <Property name="AccessibleContext.accessibleDescription" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/Bundle.properties" key="FmtWrapping.arrayInitLabel.AccessibleContext.accessibleDescription" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
              </AccessibilityProperties>
            </Component>
            <Component class="javax.swing.JComboBox" name="arrayInitItemsCombo">
              <Properties>
                <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
                  <StringArray count="4">
                    <StringItem index="0" value="Item 1"/>
                    <StringItem index="1" value="Item 2"/>
                    <StringItem index="2" value="Item 3"/>
                    <StringItem index="3" value="Item 4"/>
                  </StringArray>
                </Property>
              </Properties>
              <AccessibilityProperties>
                <Property name="AccessibleContext.accessibleName" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/Bundle.properties" key="FmtWrapping.arrayInitCombo.AccessibleContext.accessibleName" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
                <Property name="AccessibleContext.accessibleDescription" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="org/netbeans/modules/javascript2/editor/formatter/ui/Bundle.properties" key="FmtWrapping.arrayInitCombo.AccessibleContext.accessibleDescription" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
                </Property>
              </AccessibilityProperties>
            </Component>
          </SubComponents>
        </Container>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
